
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

body
{
	min-height: 100%;
	font-family: "Outfit", serif;
	font-size: 20px;
	background-repeat: no-repeat;
	background-attachment: fixed;


  background: linear-gradient(to top, #0A0A3B 0%, rgb(21 78 103) 100%);
	
  background-size: 100%;
  background-attachment: fixed;

}

.patternbg
{
	position: fixed;
	bottom: 0; left: 0; width: 100%; height: 100%;
	z-index: -12;
	background: url("images/floor-tile.png");
	opacity: 0.5;
	background-attachment: fixed;
	/* background-color: red; */
}



/************ DOCUMENT FORMATTING ************/


p, li
{
	font-weight: 300;
	line-height: 1.3;
}

li
{
	margin-bottom: 8px;
}

pre
{
	font-size: .9rem;
	background: linear-gradient(30deg, rgba(255, 255, 192, 0.12) 0%, rgba(255, 255, 255, 0.18) 100%);
    padding: 8px 30px;
    /*border-radius: 10px;*/
    box-shadow: 1px 3px 8px rgba(0, 0, 0, 0.13);
    border-left: 3px solid rgba(255, 255, 255, 0.2);
    /*border-top-right-radius: 10px;*/
	line-height: 1.2rem;
}

code
{
	font-size: .9rem;
}


.document
{
	background: #eeeee8;
	padding: 1rem 3rem;
	backdrop-filter: blur(8px);
	margin-top: none;
	min-height: 100vh;
}


.main-container
{
	max-width: 60rem;
	margin-left: auto;
	margin-right: auto;
	box-shadow: 6px 6px 18px rgba(26, 24, 75, 0.3);
}

#content
{
	top: 15vh;
}

@media only screen and (max-width: 600px)
{
	#content
	{
		top: 25vh;
	}
}

blockquote
{
	border-left: 3px solid black;
	font-style: italic;
	background-color: #fdfdfd;
	padding: 1px 12px 1px 16px;
	margin-left: 0;
	box-shadow: 2px 2px 12px rgba(0, 0, 0, 0.1);
}



.container
{
    /* display: inline-block; */
    text-align: left;
    width: 60rem;
    z-index: 0;
	padding-bottom: 2rem;
}

@media only screen and (max-width: 60rem)
{
	.container
	{
		width: unset;
		display: unset;
	}
}


h1
{
	font-weight: 900;
}

h2
{
	font-weight: 700;
}


@media only screen and (max-width: 60rem)
{
	h1, h2
	{
		margin-left: 1rem;
		margin-right: 1rem;
	}
}




/************ HEADERS ************/



.header-top
{
	padding: 0.6rem 3rem;
	/* background: linear-gradient(45deg, #512d18 0%, #4b3b0f 100%); */
	background-color: rgb(0, 75, 173);
	color: white;
	font-size: 32px;
	font-weight: 600;
	text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.3);
	margin-top: 0.5rem;
}

.header-bottom
{
	padding: 0.3rem 3rem;
	/* background: linear-gradient(45deg, #683e26 0%, #6f5a1f 100%); */
	background-color: rgb(22, 100, 189);
	color: white;
	font-size: 18px;
	font-weight: 300;
	text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.3);
}


.header-bottom a, .header-admin a
{
	color: white;
	text-decoration: none;
	margin-right: 16px;
}

.header-top a
{
	color: white;
	text-decoration: none;
}


.portfolio-category
{
	color: white;
	margin-top: 4rem;
	text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.2),
	1px 1px 4px rgba(0, 0, 0, 0.3);
}



/************ TABLES ************/

table
{
	border: 1px solid rgb(255, 252, 222);
	border-collapse: collapse;
	background-color: white;
	font-weight: 300;
	box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.1);
}

thead
{
	padding: 1rem;
	background: linear-gradient(45deg, #145a9c 0%, #1b7193 100%);
	color: white;
	font-size: 18px;
	font-weight: 300;
	text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.3);
	text-align: left;
}

th
{
	font-weight: 600;
	border: 1px solid #4f96a6;
}

td
{
	border: 1px solid rgb(209, 199, 169);
}

th, td
{
	padding: 8px 12px;
}


td:has(> .red)
{
	background-color: #f77272;
	font-weight: 700;
	text-shadow: 0 0 5px #f3adad;
}

td:has(> .yellow)
{
	background-color: #f1a548;
	font-weight: 700;
	text-shadow: 0 0 5px #f2c48b;
}


td:has(> .lime)
{
	background-color: #d2fb40;
	font-weight: 700;
	text-shadow: 0 0 5px #e4f79e;
	
}

td:has(> .green)
{
	background-color: #40fb4a;
	font-weight: 700;
	text-shadow: 0 0 5px #b1f5b4;
}



/************ TOPMENU ************/

.topmenu
{
    width: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    color: white;
    
    display: block;
    overflow: hidden;
    padding-top: 1em;
    padding-bottom: 1em;
    box-shadow: .3em .3em .3em rgba(0, 0, 0, 0.1);
    z-index: 1000;
	border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}


.topmenu a
{
    color: inherit;
    text-decoration: inherit;
}

.topmenu a:hover
{
    text-decoration: underline;
}

.topmenuitem
{
    display: inline-block;
    font-size: 1em;
    margin-right: 2em;
    text-shadow: 0.1em 0.1em 0 rgba(0, 0, 0, 0.4);
    font-weight: 300;
}

.topmenuheader
{
    float: left;
    font-size: 2em;
    font-weight: 700;
    text-shadow: 0.05em 0.05em 0 rgba(0, 0, 0, 0.4);
    margin-top: -0.2em;
}

.topmenuoptions
{
    display: inline-block;
    color: white;
    position: relative;
    top: 0.5em;
    margin-right: 2em;
}


@media only screen and (max-width: 450px)
{
	.topmenu
	{
		display: grid;
		justify-items: center;
	}

	.topmenu ul
	{
		padding-left: 0;
	}

	.topmenuheader
	{
		float: unset;
	}

	.nothamburger
	{
		text-align: center;
	}

	.topmenuoptions
	{
		text-align: center;
		margin-right: 1rem;
		margin-left: 0;
		float: right;
	}
}




/************ PORTFOLIO ************/

.portfolio
{
	padding: 1rem 2rem;
	margin-top: 2rem;
	background-color: #efeeee;
	box-shadow: 2px 2px 14px rgba(0, 0, 0, 0.205);
	border: 1px solid white;
	position: relative;
}

@media only screen and (max-width: 600px)
{
	.portfolio
	{
		padding: 0;
	}
}

a.portfolio-link:link, a.portfolio-link:visited
{
	color: black;
	text-decoration: none;
}

.preview
{
	min-width: 240px;
	min-height: 100%;
	background-color: black;
	position: absolute;
	left: 0;
	top: 0;
	bottom: 0;
	max-width: 240px;
	overflow: hidden;
}



.notpreview
{
	margin-left: 240px;
}

@media only screen and (max-width: 975px)
{
	.portfolio
	{
		margin-left: 8px;
		margin-right: 8px;
	}

	.hazardstripe
	{
		margin-left: 8px;
		max-width: calc(100% - 16px);
	}
}

@media only screen and (max-width: 600px)
{
	.preview
	{
		display: none;
	}

	.notpreview
	{
		margin-left: unset;
	}


}





/************ DEV ************/

.dev-warning
{
	color: red;

	animation-name: devwarning;
	animation-duration: 1s;
	animation-iteration-count: infinite;
}

@keyframes devwarning
{
	0%
	{
		color: red;
		text-shadow: 0 0 0 #00000000;
	}
	25%
	{
		color: yellow;
		text-shadow: 0 0 12px #ffff00ff;
	}
	50%
	{
		color: red;
		text-shadow: 0 0 0 #00000000;
	}
	100%
	{
		color: red;
		text-shadow: 0 0 0 #00000000;
	}
}



.dev-border
{
	border: 2px solid red;

	animation-name: devborder;
	animation-duration: 1s;
	animation-iteration-count: infinite;
}

@keyframes devborder
{
	0%
	{
		border: 2px solid red;
	}
	25%
	{
		border: 2px solid rgb(234, 255, 0);
	}
	50%
	{
		border: 2px solid red;
	}
	100%
	{
		border: 2px solid red;
	}
}


/* h2.comingsoon, p.comingsoon
{
	filter: blur(1px);
} */

div.comingsoon
{
	background-color: #ccc;
	position: relative;
}



.comingsoon-banner
{
	position: absolute;
	z-index: 1000;
	font-size: 48px;
	color: yellow;
	left: 150px;
	top: 50px;
	transform: rotateZ(-10deg);
	text-shadow: 2px 2px 3px black, 0 0 10px black, 0 0 20px black;
}

@media only screen and (max-width: 600px)
{
	.comingsoon-banner
	{
		top: 0;
	}
}

.frontpage-hero
{
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-column-gap: 30px;
	width: 100%;
	place-items: center;
}

.frontpage-hero-headshot img
{
	width: 420px;
	filter: drop-shadow(2px 2px 10px rgba(0, 0, 0, 0.4));
}

@media only screen and (max-width: 950px)
{
	.frontpage-hero
	{
		grid-template-columns: 1fr;
		align-items: center;
		text-align: center;
	}
}

@media only screen and (max-width: 600px)
{
	.frontpage-hero-headshot img
	{
		width: 100%;
	}

	.casestudy-container
	{
		width: 95%;
	}

	h1.frontpage-hero-h1
	{
		font-size: 2rem;
	}

	h2.frontpage-hero-h2
	{
		font-size: 1.45rem;
	}
}

.casestudy-container
{
	top: 3rem;
}

.stats-section
{
	line-height: 1.8rem;
	padding-top: 2px;
	padding-bottom: 2px;
}

.casestudy-titleboxinner
{
	display: grid;
}

.casestudy-title
{
	padding: 0;
}

 @media screen and (width < 900px)
 {
	.casestudy-title
	{
		font-size: 3rem;
		line-height: 3rem;
	}

	h1
	{
		line-height: 4rem;
	}
 }





.casestudy-section
{
	display: grid;
	justify-items: center;
	margin-top: 9rem;
	width: 100%;
}

.hazardstripe-semitransparent-white
{
	position: unset;
}

.hazardstripe
{
	animation-name: hazardscroll;
	animation-duration: 2s;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}

@keyframes hazardscroll
{
	0%
	{
		background-position-x: 0;
	}
	100%
	{
		background-position-x: 20px;
	}
}

.stats
{
	animation-name: statsscroll;
	animation-duration: 5s;
	animation-iteration-count: infinite;
	animation-timing-function: linear;
}

@keyframes statsscroll
{
	0%
	{
		background-position-x: 0;
	}
	100%
	{
		background-position-x: 64px;
	}
}

/* 
@media only screen and (min-width: 800px)
{
	.casestudy-container
	{
		top: 3em;
	}
} */




@media only screen and (max-width: 950px)
{
	.casestudy-article
	{
		width: unset;
		display: unset;
		max-width: unset;
	}

	.blockquote, p
	{
		margin-left: 16px;
		margin-right: 16px;
	}
	
}

.floatrightimage
{
	max-width: 300px;
	float: right;
	margin-left: 16px;
	margin-bottom: 16px;
	box-shadow: 2px 2px 8px rgba(0, 0, 0, 0.3);
}

@media only screen and (max-width: 600px)
{
	.floatrightimage
	{
		float: unset;
	}
}


pre
{
	max-width: 100vw;
}

@media only screen and (max-width: 600px)
{
	pre
	{
		padding: 2px;
		font-size: .7rem;
	}
}


.madscience-body
{
	background: radial-gradient(#49FF40 0%, rgb(0 30 2) 100%);
	background-attachment: fixed;
	background-size: contain;

}

.madscience-patternbg
{
	position: fixed;
	bottom: 0; left: 0; width: 100%; height: 100%;
	z-index: -12;
	background: url("images/floor-tile.png");
	opacity: 1;
	background-attachment: fixed;

	animation: bgscroll 10s linear 0s infinite, rotate 50s ease-in 0s infinite;

}


@keyframes bgscroll
{
	0%
	{
		background-position-x: 0;
	}
	100%
	{
		background-position-x: 400px;
	}
}

@keyframes rotate
{
	0%
	{
		transform: scale(1.5) rotateZ(0);
		filter: contrast(1.0);
	}
	50%
	{
		transform: scale(2.5) rotateZ(30deg);
		filter: contrast(2.0);
	}
	100%
	{
		transform: scale(1.5) rotateZ(0);
		filter: contrast(1.0);
	}
}


#madscientist
{
	display: inline-block;

	animation-name: madscientist;
	animation-duration: 5s;
	animation-iteration-count: infinite;
}

@keyframes madscientist
{
	0%
	{
		transform: scale(1.0) rotateZ(0);
		text-shadow: 0 0 3px #0f04;
	}
	80%
	{
		transform: scale(1.0) rotateZ(0);
		text-shadow: 0 0 3px #0f09;
	}
	85%
	{
		transform: scale(1.1) rotateZ(10deg);
		text-shadow: 0 0 10px #0f0f;
	}
	90%
	{
		transform: scale(1.1) rotateZ(-10deg);
	}
	95%
	{
		transform: scale(1.1) rotateZ(10deg);
		text-shadow: 0 0 10px #0f0f;
	}
	100%
	{
		transform: scale(1.0) rotateZ(0);
		text-shadow: 0 0 3px #0f04;
	}
}





.bigbutton
{
	color: black;
	text-shadow: none;
	padding: 1rem;
	text-decoration: none;
	font-weight: bold;
	border-radius: 12px;
	margin-left: .5rem;
	margin-right: .5rem;
	text-align: center;
	text-shadow: 1px 1px 8px white;
}

@media screen and (width <= 900px)
{
	.bigbutton
	{
		display: block;
		margin-bottom: 1rem;
	}
}

@media screen and (width > 900px)
{
	.buttoncontainer
	{
		display: flex;
		justify-content: space-evenly;
	}

	.bigbutton
	{
		width: 100%;
	}
}

.bigbutton1
{
	background-color: #f0bc94;
	background: linear-gradient(to bottom, #facc9e, #dca176);
	text-shadow: 1px 1px 8px #ffd8bc;
	box-shadow: 0 4px 0 #a45b30, 
				0 6px 4px #441f0bea,
				0 0 35px #F2F3B9AF;
}

.bigbutton2
{
	background-color: #f1f398;
	background: linear-gradient(to bottom, #edef99, #cbb268);
	text-shadow: 1px 1px 8px #fff9bc;
	box-shadow: 0 4px 0 #9b7e34, 
				0 6px 4px #2f2307ea,
				0 0 35px #F2F3B9AF;
}

.bigbutton3
{
	background-color: #d4ef8b;
	background: linear-gradient(to bottom, #c8eb8e, #a9bd58);
	text-shadow: 1px 1px 8px #e6ffbc;
	box-shadow: 0 4px 0 #97a32f, 
				0 6px 4px #393f08ea,
				0 0 35px #F2F3B9AF;
}

.lfw
{
	background-color: rebeccapurple;
	background: radial-gradient(rebeccapurple 0%, #55075E 100%);
	margin-top: 2rem;
	text-align: center;
	box-shadow: 3px 3px 8px rgba(24 0 37 / 0.8), 0 0 30px #B76CBF;
}

.lfw-header
{
	color: white;
	font-weight: bold;
	padding-bottom: 1rem;
	font-size: 2.3rem;
	text-shadow: 2px 2px 4px rgba(23 0 33 / 0.73), 5px 5px 10px rgba(52 0 74 / 0.27);
}

.lfw-text
{
	color: white;
	padding-left: 3rem;
	padding-right: 3rem;
	text-shadow: 2px 2px 2px rgba(25 0 33 / 0.6);
}

@media screen and (width <= 500px)
{
	.lfw-text
	{
		padding-left: 0;
		padding-right: 0;
	}
}